Bug 575322 - [abrt] crash in pidgin-2.6.6-2.fc12: Using MSN account behind Fortigate FG-60 Firewall
Summary: [abrt] crash in pidgin-2.6.6-2.fc12: Using MSN account behind Fortigate FG-60...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin   
(Show other bugs)
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stu Tomlinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:53d6bd9091e383490e9f2e73719...
Keywords:
: 576336 593395 595575 595820 596366 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 03:41 UTC by Amram
Modified: 2010-12-03 17:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:02:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.47 KB, text/plain)
2010-03-20 03:41 UTC, Amram
no flags Details

Description Amram 2010-03-20 03:41:02 UTC
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: pidgin
component: pidgin
executable: /usr/bin/pidgin
kernel: 2.6.32.9-70.fc12.i686.PAE
package: pidgin-2.6.6-2.fc12
rating: 4
reason: Process /usr/bin/pidgin was killed by signal 8 (SIGFPE)
release: Fedora release 12 (Constantine)

comment
-----
Trying to connect from a Laptop connected behind a Fortigate FG-60 Firewall from FORTINET, with IM/p2p filtering enabled to allow only specific msn logins from a list.

after a few seconds, Pidgin crashes.

How to reproduce
-----
1. Laptop connected behind a Fortigate FG-60 Firewall from FORTINET, with IM/p2p filtering enabled to allow only specific msn logins from a list.
2.
3.

Comment 1 Amram 2010-03-20 03:41:05 UTC
Created attachment 401388 [details]
File: backtrace

Comment 2 Amram 2010-03-23 05:56:24 UTC

How to reproduce
-----
1. Just crashed
2.
3.


Comment
-----
Just crashed

Comment 3 Amram 2010-03-30 03:30:53 UTC

How to reproduce
-----
1. Configure one msn messenger account and one internal XMPP account
2. Use a Fortinet FG-60 firewall version 3.0 MR7 patch 7 in front of the network, allowing only outbound ports tcp/1863 and tcp/80 for msn messenger.
3. Enable the IM/p2p filters and set msn messenger as allowed to login but blocking audio and file transfer ports, and then specified your msn login in the allowed list.
4. Attempt to connect to the msn messenger going thru the firewall, it'll crash shortly after connecting.


Comment
-----
I'm connecting to my msn messenger account and one internal XMPP account. There is a Fortinet FG-60 firewall in front of this network, allowing only ports tcp/1863 and tcp/80 for msn messenger out to Internet.

This Fortinet firewall also filters IM/p2p applications. I set msn messenger as allowed to login but blocking audio and file transfer ports, and then specified my msn login in the allowed list. Pidgin connects but it crashes shortly after. It crashes only once i connect to the msn account going thru the firewall.

I'm forced to use aMSN which doesn't crash at all under the same circumstances. i've came across this same problem with previous versions of Pidgin, while some others have worked just perfectly going thru Fortinet firewalls and the Instant Messaging filters.

Comment 4 Amram 2010-04-05 19:50:30 UTC

How to reproduce
-----
1. it just crashed
2.
3.

Comment 5 Amram 2010-04-16 19:09:23 UTC

How to reproduce
-----
1. one chat window opened only.
2.
3.

Comment 6 Stu Tomlinson 2010-05-18 18:11:39 UTC
*** Bug 576336 has been marked as a duplicate of this bug. ***

Comment 7 Stu Tomlinson 2010-05-18 18:13:00 UTC
*** Bug 593395 has been marked as a duplicate of this bug. ***

Comment 8 Amram 2010-05-22 18:58:25 UTC
Package: pidgin-2.6.6-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. just messaging on msn
2.
3.


Comment
-----
just messaging on msn

Comment 9 Amram 2010-05-23 00:21:21 UTC
Package: pidgin-2.6.6-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. msn messenger
2.
3.


Comment
-----
msn messenger

Comment 10 Amram 2010-05-24 00:52:04 UTC
Package: pidgin-2.6.6-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open with msn messenger only
2.
3.


Comment
-----
open with msn messenger only

Comment 11 Amram 2010-05-25 03:30:29 UTC
Package: pidgin-2.6.6-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open with msn messenger and one XMPP account
2.
3.


Comment
-----
open with msn messenger and one XMPP account

Comment 12 Stu Tomlinson 2010-05-25 03:55:11 UTC
*** Bug 595575 has been marked as a duplicate of this bug. ***

Comment 13 Stu Tomlinson 2010-05-25 18:00:24 UTC
*** Bug 595820 has been marked as a duplicate of this bug. ***

Comment 14 Amram 2010-05-25 18:23:23 UTC
Package: pidgin-2.6.6-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. msn messenger and 2 xmpp accounts open
2.
3.


Comment
-----
msn messenger and 2 xmpp accounts open

Comment 15 Amram 2010-05-26 16:52:26 UTC
Package: pidgin-2.6.6-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open with msn messenger
2.
3.


Comment
-----
open with msn messenger

Comment 16 Stu Tomlinson 2010-05-26 18:21:14 UTC
*** Bug 596366 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Admin XMLRPC Client 2010-09-22 19:35:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Fedora Admin XMLRPC Client 2010-09-22 19:36:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 19 Bug Zapper 2010-11-03 19:08:16 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 20 Bug Zapper 2010-12-03 17:02:46 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.